org.eclipse.jgit.lib

## Class EmptyProgressMonitor

- java.lang.Object
- - org.eclipse.jgit.lib.EmptyProgressMonitor

All Implemented Interfaces:
  ProgressMonitor

    public abstract class EmptyProgressMonitor
    extends Object
    implements ProgressMonitor

A convenient base class which provides empty method bodies for all ProgressMonitor methods.

Could be used in scenarios when only some of the progress notifications are important and others can be ignored.

### Field Summary

### Fields inherited from interface org.eclipse.jgit.lib.ProgressMonitor

`UNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`EmptyProgressMonitor()`

### Method Summary

Methods
`void` `beginTask(String title, int totalWork)` Begin processing a single task.
`void` `endTask()` Finish the current task, so the next can begin.
`boolean` `isCancelled()` Check for user task cancellation.
`void` `start(int totalTasks)` Advise the monitor of the total number of subtasks.
`void` `update(int completed)` Denote that some work units have been completed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyProgressMonitor

    public EmptyProgressMonitor()

### Method Detail

#### start

    public void start(int totalTasks)

Description copied from interface: `ProgressMonitor`
Advise the monitor of the total number of subtasks.

This should be invoked at most once per progress monitor interface.

Specified by:
  `start` in interface `ProgressMonitor`
Parameters:
  `totalTasks` - the total number of tasks the caller will need to complete their processing.

#### beginTask

    public void beginTask(String title,
                 int totalWork)

Description copied from interface: `ProgressMonitor`
Begin processing a single task.

Specified by:
  `beginTask` in interface `ProgressMonitor`
Parameters:
  `title` - title to describe the task. Callers should publish these as stable string constants that implementations could match against for translation support.
  `totalWork` - total number of work units the application will perform; `ProgressMonitor.UNKNOWN` if it cannot be predicted in advance.

#### update

    public void update(int completed)

Description copied from interface: `ProgressMonitor`
Denote that some work units have been completed.

This is an incremental update; if invoked once per work unit the correct value for our argument is `1`, to indicate a single unit of work has been finished by the caller.

Specified by:
  `update` in interface `ProgressMonitor`
Parameters:
  `completed` - the number of work units completed since the last call.

#### endTask

    public void endTask()

Description copied from interface: `ProgressMonitor`
Finish the current task, so the next can begin.

Specified by:
  `endTask` in interface `ProgressMonitor`

#### isCancelled

    public boolean isCancelled()

Description copied from interface: `ProgressMonitor`
Check for user task cancellation.

Specified by:
  `isCancelled` in interface `ProgressMonitor`
Returns:
  true if the user asked the process to stop working.